[Bug] [Linux] "Game->Open folder" and "Help->Contents" menu items don't work

Matombo

Veteran
Veteran
Joined
Jun 4, 2014
Messages
377
Reaction score
105
First Language
German
Primarily Uses
User: Matombo
Bug: "Game->Open folder" and "Help->Contents" menu items don't work
How to Replicate the Bug:
  • Open a project
  • In the menubar go to "Game->Open folder"
  • Nothing happens
  • In the menubar go to "Help->Contents"
  • Nothing happens
Other: System: Manjaro Linux, qt-5.10 installed system wide, kde plasma 5.11
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by kde-open5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by kde-open5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by kde-open5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Network.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Network.so.5: no version information available (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5I18n.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5I18n.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5CoreAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5CoreAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5Service.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Service.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Service.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5ConfigGui.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigGui.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigGui.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ConfigCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Xml.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Xml.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Xml.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5DBus.so.5: no version information available (required by /usr/lib/libKF5DBusAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5DBusAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5DBusAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libQt5X11Extras.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5X11Extras.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5X11Extras.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Archive.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Archive.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Codecs.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Codecs.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Widgets.so.5: no version information available (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Gui.so.5: no version information available (required by /usr/lib/libKF5GuiAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5GuiAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: no version information available (required by /usr/lib/libKF5GuiAddons.so.5)
kde-open5: relocation error: /usr/lib/libQt5X11Extras.so.5: symbol qt_version_tag, version Qt_5.10 not defined in file libQt5Core.so.5 with link time reference

My educated guess is that the qt version that comes with rpg maker is conflicting with my system wide qt installation (which is most likly newer)
 

Matombo

Veteran
Veteran
Joined
Jun 4, 2014
Messages
377
Reaction score
105
First Language
German
Primarily Uses
Ok I gained a little more insight into the problem:
RMMV calls xdg-open when the menu item is clicked and xdg-open checks which desktop environment is used by reading the content of the XDG_CURRENT_DESKTOP environment variable.
If the value is "KDE" it uses kde-open5 to determine the default file manager, however since kde-open5 is a qt app written with an uncopaible qt version to the one rpg maker uses it crashes

So what i did was to set XDG_CURRENT_DESKTOP to the value GNOME and installed gvfs (aka gvfs-open aka gnome version of kde-open5) and got the expected result: xdg-open used gvfs-open which ofc doesn't use any qt librarys so no version conflict here
but it crashed one step beyond because my default filemanager is dolphin which, you guessed it, is a qt app

However opening the help file worked because my default browser is firefox (no Qt)

TL;DR:
Bug happens only when you use the KDE Plasma DE because the default kde-open5 has most likely an incompaible qt version to the one shipped with RMMV

Workaround:
Set you default file manager and web browser to a non Qt application (e.g. thunar and firefox) (can be done in the kde settings)
Install gvfs/gfvs-open (distro dependend try "sudo apt install gvfs" in the terminal)
Set XDG_CURRENT_DESKTOP=GNOME before starting RMMV (e.g. open steam library->right click rpg maker mv->properties->set launch options->enter: "XDG_CURRENT_DESKTOP=GNOME %COMMAND%" without the quotation marks (but with the %))
 

Matombo

Veteran
Veteran
Joined
Jun 4, 2014
Messages
377
Reaction score
105
First Language
German
Primarily Uses
My system is on the latest version and i also opted into the 1.6.0 beta of rmmv now
my problem persists, it is btw sligly different than LTN Games' one: rpg maker doesn't crash completly
maybe i have a different system configuration, (i installed from the netboot image), he also mentioned some changes to the startup script, i will look into it tomorrow, but thank you for pointing me to that toppic ^^

btw i checkt the error output again, and some update changed it to be more sensical than the one in the original post:
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by kde-open5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5I18n.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5CoreAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5Service.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5ConfigGui.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5ConfigCore.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libQt5Xml.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5DBusAddons.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libQt5X11Extras.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libQt5Svg.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5Archive.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5Codecs.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/matombo/.local/share/Steam/steamapps/common/RPG Maker MV/libQt5Core.so.5: version `Qt_5.10' not found (required by /usr/lib/libKF5GuiAddons.so.5)
 

Dinsmoor

Warper
Member
Joined
Feb 15, 2018
Messages
4
Reaction score
2
First Language
Nunya Bizznitz
Primarily Uses
RMMV
I can also confirm this happening on Ubuntu 17.10 with the kubuntu-backports installed to bring
KDE Plasma 5.12.0
KDE Frameworks 5.42.0
Qt Version 5.9.1
64-bit.
 

LTN Games

Veteran
Veteran
Joined
Jun 25, 2015
Messages
645
Reaction score
503
First Language
English
Primarily Uses
RMMV
Strange you're still receiving this issue, I've recently gone back to Windows (due to graphics card issues with Linux in general) so I can't help too much. What I will do later, if I have some extra time is install Manjaro in a virtual box and see if I remember how I got it to work. I did a lot of changes that never seemed to work correctly and then after one update from Manjaro, everything seemed to work except icons.

Is the LibQT5 core actually missing from you RMMV installation folder? That error is different than what I had, my issue was an incompatibility between QT versions., nothing was missing.
 

peq42_

Yeet
Veteran
Joined
Feb 5, 2016
Messages
476
Reaction score
284
First Language
Portuguese(BR)
Primarily Uses
RMMV
Is RMMV installed as a "Flatpak"(Or Snap) pack? Or as older programs/games for Linux used to do?
If it's as the old programs used to do, then that might be a big problem for all linux users in general(and may be the cause for those issues you're having).
 

Dinsmoor

Warper
Member
Joined
Feb 15, 2018
Messages
4
Reaction score
2
First Language
Nunya Bizznitz
Primarily Uses
RMMV
Has anybody talked to the developers about packaging RMMV as an AppImage instead? They could avoid the hassle with versioning all together since the dependencies would be bundled and it shouldn't be looking for system libraries.

The web page is https://appimage.org/ and I use it often for using a specific revision of a program, like slic3r .
I've had good experience with this, and the 'packaged' apps are very very stable and nice. Also it doesn't mess up my apt tree!

Edit: since it's already a Qt project, the devs should be able to run `linuxdeployqt` and be done with it once they get the AppImageKit.
See: https://github.com/AppImage/AppImageKit/wiki/Creating-AppImages
 

ChampX

Veteran
Veteran
Joined
Aug 14, 2016
Messages
187
Reaction score
120
First Language
English
Primarily Uses
This must be an issue with KDE as I'm on Manjaro with MATE and both those functionalities work with no issues.
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Latest Threads

Latest Posts

Latest Profile Posts

Please don't create long, boring cutscenes in which characters do nothing but stand around talking.
What if I took a lesson from Half Minute Hero? Let the player get dumb powerful each area, but reset them down to just slightly stronger than before for the next map?
Been averaging 2-3 hours sleep for almost a month now. Starting to space out all the time ^^;
loopk wrote on whtdragon's profile.
Nice to meet you. My name is loopk.
May I use the materials distributed here for adult games for sale?

Thank you in advance.
loopk wrote on Avery's profile.
Nice to meet you. My name is loopk.
May I use the materials distributed here for adult games for sale?

Thank you in advance.

Forum statistics

Threads
94,258
Messages
919,462
Members
123,977
Latest member
Panam
Top